# Uncomment the next line to define a global platform for your project
platform :ios, '11.0'

source 'https://gitlab.com/telosid/plugins/specs.git'
source 'https://cdn.cocoapods.org'

target 'cocoapod-example' do
  # Uncomment the next line if you're using Swift or would like to use dynamic frameworks
  use_frameworks!

  # Pods for cocoapod-example
  pod 'OnyxCamera', '8.3.3'
  
  # Pod for displaying the result image(s) in a carausel view
  pod 'iCarousel'


end

post_install do |installer|
  installer.pods_project.build_configuration_list.build_configurations.each do |configuration|
    configuration.build_settings['CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES'] = 'YES'
  end
  installer.pods_project.targets.each do |target|
    target.build_configurations.each do |config|
      config.build_settings['ONLY_ACTIVE_ARCH'] = 'YES'
    end
  end
  installer.generated_projects.each do |project|
    project.targets.each do |target|
      target.build_configurations.each do |config|
        config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '13.0'
      end
    end
  end
end
